CVE-2021-44758

NameCVE-2021-44758
DescriptionHeimdal before 7.7.1 allows attackers to cause a NULL pointer dereference in a SPNEGO acceptor via a preferred_mech_type of GSS_C_NO_OID and a nonzero initial_response value to send_accept.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3206-1, DSA-5287-1
Debian Bugs1024187

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
heimdal (PTS)buster7.5.0+dfsg-3vulnerable
buster (security)7.5.0+dfsg-3+deb10u2fixed
bullseye (security), bullseye7.7.0+dfsg-2+deb11u3fixed
bookworm7.8.git20221117.28daf24+dfsg-2fixed
trixie, sid7.8.git20221117.28daf24+dfsg-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
heimdalsourcebuster7.5.0+dfsg-3+deb10u1DLA-3206-1
heimdalsourcebullseye7.7.0+dfsg-2+deb11u2DSA-5287-1
heimdalsource(unstable)7.8.git20221115.a6cf945+dfsg-11024187

Notes

https://github.com/heimdal/heimdal/security/advisories/GHSA-69h9-669w-88xv
https://github.com/heimdal/heimdal/commit/f9ec7002cdd526ae84fbacbf153162e118f22580 (heimdal-7.7.1)

Search for package or bug name: Reporting problems